/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
*/

/* Add your custom styles here */
/* ---------- 自定义设计令牌 ---------- */
/* ==================== 基础样式 ==================== */
:root {
    --ff-title:   'Poppins', sans-serif;
    --ff-body:    'Raleway', sans-serif;
    --clr-main:   #071e33;
    --clr-accent: #00bf91;
    --clr-title:  #432818;
    --clr-body:   #04151f;
}

/* ---------- 引入字体（Bunny 版，GDPR 友好） ---------- */
@import url('https://fonts.bunny.net/css2?family=Poppins:wght@400;600;700&family=Raleway:wght@400;500;600&display=swap');

/* ---------- 全局应用 ---------- */
body {
    font-family: var(--ff-body);
    color: var(--clr-body);
	background-color: #111;
}

/* 所有常见标题一次性覆盖 */
h1, h2, h3, h4, h5, h6 {
    font-family: var(--ff-title);
    color: var(--clr-title);
}

/* 主色按钮 / 链接 / 背景 */
.btn-primary,
.wp-block-button__link,
.more-link,
a:hover {
    background-color: var(--clr-main);
}

/* 强调亮色 */
mark,
.highlight,
.badge-accent {
    background-color: var(--clr-accent);
}

/* 让图标右侧显示一个间隔 */
.icon-before {
    margin-right: 3px;   /* 可调 */
}

/*让每一行独占一行，同时调整纵向间距*/
.indpt-line{
    display:block;	/*占满整行*/
    margin:1em 0;	/*上下留一点呼吸感*/
}